Skip to main content
GET
/
api2
/
v1
/
customFields
/
{fieldUid}
Get custom field
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/customFields/{fieldUid} \
  --header 'Authorization: <api-key>'
{
  "uid": "<string>",
  "name": "<string>",
  "type": "MULTI_SELECT",
  "allowedEntities": [
    "PROJECT"
  ],
  "options": {
    "truncatedOptions": [
      {
        "uid": "<string>",
        "value": "<string>",
        "deprecated": true,
        "used": true
      }
    ],
    "remainingCount": 123
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "lastModified": "2023-11-07T05:31:56Z",
  "lastModifiedBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "requiredFrom": "2023-11-07T05:31:56Z",
  "required": true,
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

fieldUid
string
required

Response

successful operation

uid
string
name
string
type
enum<string>
Available options:
MULTI_SELECT,
SINGLE_SELECT,
STRING,
NUMBER,
URL,
DATE
allowedEntities
enum<string>[]
Available options:
PROJECT,
JOB
options
object
createdAt
string<date-time>
createdBy
object
lastModified
string<date-time>
lastModifiedBy
object
requiredFrom
string<date-time>
required
boolean
description
string